import { Injectable } from '@angular/core';
import { HttpRequestService } from '../resources/http-request.service';
import { Observable, map } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class StockService {

  private _url: string;
  constructor( private _httpRequestService:HttpRequestService ) {
    this._url = 'inventory-management';
  }

  public registerArtitleWithoutOrder(objectRequest: any):  Observable<any> {
    return this._httpRequestService.postQuery(`${this._url}/register-artitle-without-order`, objectRequest).pipe(map((data:any) => { data }))
  }
}
